---
name: "OptaPlanner (AI constraint solver)"
metadata:
  keywords:
  - "optaplanner"
  - "kogito"
  - "constraint-solver"
  - "artificial-intelligence"
  - "employee-rostering"
  - "vehicle-routing-problem"
  - "maintenance-scheduling"
  - "timetabling"
  guide: "https://quarkus.io/guides/optaplanner"
  categories:
  - "business-automation"
  status: "stable"
  built-with-quarkus-core: "2.4.0.Final"
  extension-dependencies:
  - "io.quarkus:quarkus-core"
  - "io.quarkus:quarkus-arc"
artifact: "org.optaplanner:optaplanner-quarkus::jar:8.13.0-SNAPSHOT"
description: "Optimize planning of vehicle routes, employee rosters, maintenance schedules,\
  \ task assignments, school timetables, conference schedules, etc."
